Clang::Index(3pm)

NAME
Clang::Index - Clang index class

VERSION
version 0.09

DESCRIPTION
A "Clang::Index" represents a set of translation units that would typically be linked together into an executable or library.

METHODS

  new( $exclude_declarations )
Create a new "Clang::Index" object.

  parse( $filename )
Parse the file $filename and retrieve the corresponding Clang::TUnit.

AUTHOR
Alessandro Ghedini <alexbio@cpan.org>

LICENSE AND COPYRIGHT
Copyright 2012 Alessandro Ghedini.

This program is free software; you can redistribute it and/or modify it under the terms of either: the GNU General Public License as published by the Free Software Foundation; or the Artistic License.

See http://dev.perl.org/licenses/ for more information.